Summary:	Web development studio
Name:		bluefish
Version:	2.2.6
Release:	%mkrel 5
URL:		http://bluefish.openoffice.nl/
License:	GPLv2+
Group:		Networking/WWW
Source0:	http://www.bennewitz.com/bluefish/stable/source/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(enchant)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.16
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gmodule-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gucharmap-2.90)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pango)
BuildRequires: intltool
BuildRequires: desktop-file-utils
# needed for validating RELAX NG
BuildRequires:	libxml2-utils
# needed for checking the manpages
BuildRequires:	man
Requires(post): libxml2-utils
Requires(postun): libxml2-utils

%description
Bluefish is a programmer's HTML editor, designed to save the experienced
webmaster some keystrokes.

It features a multiple file editor, multiple toolbars, custom menus, image
and thumbnail dialogs,  open from the web, HTML validation and lots of wizards.

This is not a WYSIWYG editor but a HTML editor (you edit the HTML code).

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x \
	--disable-update-databases \
	--disable-xml-catalog-update
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/%{name}/*.la

%find_lang %{name} --all-name

desktop-file-install --dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/*.desktop

%post
/usr/bin/xmlcatalog --noout --add 'delegateURI' \
    'http://bluefish.openoffice.nl/ns/bflang/2.0/' '%{_datadir}/xml/%{name}' \
    %{_sysconfdir}/xml/catalog > /dev/null || :

%postun
if [ "$1" = 0 ]; then
    /usr/bin/xmlcatalog --noout --del \
        'http://bluefish.openoffice.nl/ns/bflang/2.0/' \
        %{_sysconfdir}/xml/catalog > /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS README ChangeLog NEWS TODO
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/xml/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/*
%{_mandir}/man1/%name.1.*
%{_iconsdir}/*/*/*/*


%changelog
* Fri Oct 17 2014 luigiwalser <luigiwalser> 2.2.6-5.mga5
+ Revision: 769611
- fix syntax error in postun scriplet (mga#14310)

* Wed Oct 15 2014 umeabot <umeabot> 2.2.6-4.mga5
+ Revision: 739172
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.6-3.mga5
+ Revision: 693509
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.6-2.mga5
+ Revision: 678181
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 fwang <fwang> 2.2.6-1.mga5
+ Revision: 617350
- 2.2.6

* Tue Feb 04 2014 fwang <fwang> 2.2.5-1.mga5
+ Revision: 581605
- update file list
- new version 2.2.5

* Sat Oct 19 2013 umeabot <umeabot> 2.2.4-2.mga4
+ Revision: 530174
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 2.2.4-1.mga4
+ Revision: 456407
- new version 2.2.4

* Fri Jan 11 2013 umeabot <umeabot> 2.2.3-2.mga3
+ Revision: 346923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 fwang <fwang> 2.2.3-1.mga3
+ Revision: 264279
- fix desktop file
- new version 2.2.3

* Wed Feb 29 2012 fwang <fwang> 2.2.2-1.mga2
+ Revision: 215977
- new version 2.2.2

* Fri Dec 23 2011 fwang <fwang> 2.2.1-1.mga2
+ Revision: 186724
- new version 2.2.21

* Tue Nov 22 2011 fwang <fwang> 2.2.0-1.mga2
+ Revision: 170906
- new version 2.2.0

* Sat Jun 25 2011 dmorgan <dmorgan> 2.0.3-2.mga2
+ Revision: 113794
- Rebuild against new gucharmap

* Fri Apr 15 2011 ahmad <ahmad> 2.0.3-1.mga1
+ Revision: 85548
- Update to 2.0.3
- Add BR libxml2-utils, needed for validating RELAX NG
- Add BR man, needed for checking manpages
- Add post/postun scriptlets for registring XML Catalog (thanks to Fedora for the
  exact syntax to do so)
- Add a patch to fix highlighting of block delimiters (Gnome bugs 643150 and 643153) (Fedora)
- Add workaround for crash on close (Gnome bug 637990) (Fedora)

* Sat Feb 26 2011 ennael <ennael> 2.0.2-1.mga1
+ Revision: 60083
- clean spec file
- imported package bluefish

